Subject: Re: [RFC] super indexes to span multiple packfiles

From: Avi Kivity <[email-masked]>
Date: Tue, 29 May 2007 19:20:35 +0300

Jon Smirl wrote:
>
> My work with databases leads me to believe that figuring out how to
> pack everything into a smaller space always beats efforts put into
> incrementally improving the indexing scheme. Packing into a smaller
> space reduces the total IO needs and that's always a winner.
>

Another way to achieve that is to place objects that are accessed 
together nearby, and issue a larger read so as to bring them into 
cache.  I imagine that placing commit objects and associated tree and 
blobs in history order should help here (but maybe git already does 
that, I'm not familiar with the internals).

-- 
error compiling committee.c: too many arguments to function